petsc-3.10.5 2019-03-28
Report Typos and Errors

# PCFactorGetAllowDiagonalFill

Determines if all diagonal matrix entries are treated as level 0 fill even if there is no non-zero location.

### Synopsis

    #include "petscpc.h"
    PetscErrorCode  PCFactorGetAllowDiagonalFill(PC pc,PetscBool *flg)

Logically Collective on PC

### Input Parameter

pc -the preconditioner context

### Output Parameter

flg -PETSC_TRUE to turn on, PETSC_FALSE to turn off

### Options Database Key

-pc_factor_diagonal_fill - Notes: Does not apply with 0 fill.

### Keywords

PC, levels, fill, factorization, incomplete, ILU

### See Also

PCFactorSetAllowDiagonalFill()

### Level

intermediate

### Location

src/ksp/pc/impls/factor/factor.c

### Implementations

PCFactorGetAllowDiagonalFill_Factor in src/ksp/pc/impls/factor/factimpl.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages